APROPOS(1)

BEZEICHNUNG
apropos - Suche in Handbuchseiten und deren Kurzbeschreibungen

ÜBERSICHT
apropos [-dalv?V] [-e|-w|-r] [-s Liste] [-m System[,...]] [-M Pfad] [-L Locale] [-C Datei] Schlüsselwort ...

BESCHREIBUNG
Jede Handbuchseite enthält eine kurze Beschreibung. apropos durchsucht diese Beschreibungen nach dem Vorkommen von Schlüsselwort. Das Schlüsselwort ist gewöhnlich ein regulärer Ausdruck und hat den gleichen Effekt wie (-r). Es kann außerdem nach einer bestimmten Zeichenkette (-e) oder nach Zeichenketten mit Platzhaltern (Wildcards, -w) gesucht werden. Bei Nutzung dieser Optionen kann es erforderlich sein, für das Schlüsselwort und Sonderzeichen eine Verarbeitung durch die Shell zu vermeiden. Für Schlüsselwörter werden dafür Anführungszeichen und für Sonderzeichen Escape-Sequenzen (\) verwendet. Die Regeln für die Standardsuche ermöglichen den Abgleich des Suchbegriffs mit dem Namen der Handbuchseite und Wortgrenzen in der Beschreibung. Bei der Suche wertet apropos die von mandb gepflegte Datenbank aus. Abhängig von Ihrer Installation wird die Datenbank periodisch per Cron-Job aktualisiert - oder Sie müssen nach der Installation neuer Handbuchseiten mandb manuell starten.

OPTIONEN

-d, --debug
    Ausgabe von Debug-Informationen

-v, --verbose
    Ausgabe ausführlicher Warnmeldungen

-r, --regex
    Interpretiert jedes Schlüsselwort als regulären Ausdruck. Dies ist das Standardverhalten. Jedes Schlüsselwort wird unabhängig voneinander in den Befehlsnamen und in den Beschreibungen gesucht. Die Suche liefert auch Treffer über Wortgrenzen hinweg.

-w, --wildcard
    Interpretiert jedes Schlüsselwort als Muster, das Shell-Platzhalter enthält. Jedes Schlüsselwort wird unabhängig voneinander in den Befehlsnamen und in den Beschreibungen gesucht. Wird außerdem --exact vorgegeben, wird nur die Übereinstimmung des Schlüsselworts nach Ersetzung des regulären Ausdrucks mit der vollständigen Beschreibung oder dem Namen einer Handbuchseite als Treffer gewertet. Anderenfalls gelten auch einzelne Wörter in der Beschreibung als Treffer.

-e, --exact
    Jedes Schlüsselwort wird genau mit den Seitennamen und den Beschreibungen verglichen.

-a, --and
    Zeigt nur Einträge an, die alle angegebenen Schlüsselwörter enthalten. Standardverhalten ist die Anzeige aller Einträge, die irgendeines der Schlüsselwörter enthalten.

-l, --long
    Die Ausgabe wird nicht auf die Terminalbreite beschnitten. Normalerweise wird die Ausgabe auf die Terminalbreite gestutzt, um hässliche Ergebnisse schlecht geschriebener BEZEICHNUNGs-Abschnitte zu vermeiden.

-s Liste, --sections Liste, --section Liste
    Durchsucht nur die vorgegebenen Abschnitte. Liste ist eine durch Kommas oder Doppelpunkte gegliederte Liste von Abschnitten. Wenn ein Eintrag in Liste ein einfacher Abschnitt ist (z. B. »3«), enthält das Ergebnis Seiten aus den Abschnitten »3«, »3perl«, »3x« usw. Wird Abschnitt mit Suffix angegeben (z. B. »3perl«), werden die Ergebnisse nur in diesem speziellen Unterabschnitt gesucht.

-m system[,...], --systems=System[,...]
    Wenn Ihr System auch auf die Handbuchseiten eines anderen Betriebssystems zugreifen kann, können diese mit dieser Option durchsucht werden. Um die Beschreibungen der Handbuchseiten von NewOS zu durchsuchen, verwenden Sie die Option -m NewOS. Für System können Sie eine mit Kommas getrennte Liste von Betriebssystem-Namen eingeben. Um auch in den whatis-Beschreibungen des eigenen Systems zu suchen, verwenden Sie beim Aufruf des Programms den Systemnamen man als zusätzliches Argument. Diese Option setzt die Umgebungsvariable $SYSTEM außer Kraft.

-M Pfad, --manpath=Pfad
    Legt mehrere durch Doppelpunkte getrennte alternative Handbuch-Hierarchien fest, die durchsucht werden sollen. Standardmäßig verwendet apropos die Umgebungsvariable $MANPATH. Wenn diese leer ist oder ihr kein Wert zugewiesen wurde, wird das Programm versuchen, auf Grundlage der Umgebungsvariablen $PATH einen geeigneten »Manpath« zu bestimmen. Diese Option überschreibt den Inhalt von $MANPATH.

-L Locale, --locale=Locale
    apropos wird in der Regel Ihre aktuelle Locale durch einen Aufruf der C-Funktion setlocale(3) bestimmen, welche verschiedene Umgebungsvariablen auswertet (darunter sind eventuell auch $LC_MESSAGES und $LANG). Um den ermittelten Wert vorübergehend außer Kraft zu setzen, können Sie apropos mit dieser Option eine Locale vorgeben. Beachten Sie, dass dieser Wert erst wirksam wird, wenn die Suche tatsächlich beginnt. Programm-Meldungen wie Hilfe-Nachrichten werden immer in der zu Anfang ermittelten Locale angezeigt werden.

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-?, --help
    Hilfetext anzeigen und beenden

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Versionsinformation anzeigen und beenden

EXIT-STATUS

0   erfolgreiche Programmausführung

1   Fehler beim Aufruf, in der Syntax oder in der Konfigurationsdatei

2   betriebsbedingter Fehler

16  keine Ergebnisse für die angegebenen Suchkriterien

UMGEBUNGSVARIABLEN

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat das die gleiche Wirkung wie die Verwendung als Argument für die Option -m.

MANPATH
    Wenn $MANPATH gesetzt ist, wird ihr Wert als der mit Kommas getrennte anzuwendende Hierarchie-Suchpfad für Handbuchseiten interpretiert.

MANWIDTH
    Wenn $MANWIDTH gesetzt ist, wird ihr Wert als Terminalbreite verwendet (siehe die Option --long). Ist sie nicht gesetzt, wird die Terminalbreite mittels ioctl(2) oder mit dem Wert von $COLUMNS ermittelt, wenn diese Variable gesetzt ist. Wenn alles fehlschlägt, werden 80 Zeichen verwendet.

POSIXLY_CORRECT
    Wenn $POSIXLY_CORRECT gesetzt ist, wobei sogar NULL erlaubt ist, wird die Standardsuche von apropos mit erweiterten regulären Ausdrücken (-r) ausgeführt. Heutzutage ist dies sowieso das Standardverhalten.

DATEIEN

/usr/share/man/index.(bt|db|dir|pag)
    ein traditioneller, globaler Zwischenspeicher für die Index-Datenbank

/var/cache/man/index.(bt|db|dir|pag)
    ein FHS-konformer, globaler Zwischenspeicher für die Index-Datenbank

/usr/share/man/.../whatis
    eine traditionelle whatis-Textdatenbank

SIEHE AUCH
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).